package com.hzya.frame.seeyon.invoice.entity;

import com.hzya.frame.seeyon.zxbank.entity.PayState;

public enum InvoiceState {
    zero("0","申请单被关闭"),
    one("1","申请单开票成功"),
    two("2","申请单处理中"),
    three("3","申请单开具异常"),
    inputZero("0","进行中"),
    inputOne("1","全部成功"),
    inputTwo("2","部分失败"),
    inputThree("3","全部失败");




    private String type;
    //值
    private String value;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    InvoiceState(String type, String value){
        this.type=type;
        this.value=value;
    }

    public static String invoiceStateGetValue(String type){
        for (InvoiceState invoiceState : InvoiceState.values()){
            if(invoiceState.getType()==type||invoiceState.getType().equals(type)){
                return invoiceState.getValue().toString();
            }
        }
        return null;
    }
}
